<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page language="java"%>
<%@ page pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.ibm.rpm.RPMSettingsBean"%>
<%@ page import="com.ibm.rpm.RPMUtilityBean"%>
<%@ page import="com.ibm.rpm.WebUIConstants"%>
<%@ page import="com.ibm.rpm.i18n.LabelExtractor"%>
<%
request.setCharacterEncoding(WebUIConstants.UTF8); // Must absolutely be done before the first request.getParameter()
// Fix ChangeRequest RATLC01034584
	// Code compatible Servlet 2.4 only
	// response.setCharacterEncoding(WebUIConstants.UTF8);
	// response.setContentType("text/html"); //$NON-NLS-1$
	// Code compatible Servlet 2.3 & 2.4
	response.setContentType("text/html; charset=UTF-8"); //$NON-NLS-1$
// End-of-fix ChangeRequest RATLC01034584
response.setHeader("Pragma", "No-cache"); //$NON-NLS-1$ //$NON-NLS-2$
response.setHeader("Cache-Control", "no-cache"); //$NON-NLS-1$ //$NON-NLS-2$
response.setDateHeader("Expires", 0); //$NON-NLS-1$

String _resourceId = (String) session.getAttribute(WebUIConstants.ResourceID);
Locale locale = RPMUtilityBean.getLocale(request);

// Process the logged user display name
String displayName = (String)session.getAttribute(WebUIConstants.DISPLAY_NAME);

boolean useDummyJSON = Boolean.TRUE.equals(application.getAttribute("useDummyJSON")); //$NON-NLS-1$
%>
<div dojoType="com.ibm.rpm.app:RPMNavigator" title="Workspace"
  id="com.ibm.rpm.app:RPMNavigator" 
  baseURL='<%= 
			useDummyJSON
			? (request.getContextPath() + "/test/json") //$NON-NLS-1$
			: (request.getContextPath())
			%>'
  sessionId='<%= 
			useDummyJSON
			? "" //$NON-NLS-1$
			: session.getAttribute(WebUIConstants.RPMSessionID)
			%>'>

  <%
  if (RPMUtilityBean.isUserInRole(session,"canViewTimesheets")) { //$NON-NLS-1$
  %>
  <!-- =========================== TIMESHEET  ================   -->
  <div dojoType="com.ibm.rpm.app.navigator:RPMNavigatorNode"
    id="navMyTimesheet"
    appLabel='<%=
        LabelExtractor.get("dojo_navigator_timesheet", locale) //$NON-NLS-1$
    %>'
    appDojoType="com.ibm.rpm.app:RPMAppTimesheet">
  </div>
  <% } %>
  
  <%
  if (RPMUtilityBean.isUserInRole(session, "canViewTimesheets")) { //$NON-NLS-1$
  %>
  <!-- =========================== SCHEDULED WORK  ================   -->
  <div dojoType="com.ibm.rpm.app.navigator:RPMNavigatorNode"
    id="navScheduleWork"
    appLabel='<%=
        LabelExtractor.get("dojo_navigator_workElements", locale) //$NON-NLS-1$
    %>'
    appDojoType="com.ibm.rpm.app:RPMAppWork">
  </div>
  <% } %>
  
  <%
  if (RPMUtilityBean.isUserInRole(session,"canViewScopeManagement")) { //$NON-NLS-1$
  %>
  <!-- =========================== SCOPE ELEMENTS  ================   -->
  <div dojoType="com.ibm.rpm.app.navigator:RPMNavigatorNode"
    id="navScopeElements"
    appLabel='<%=
        LabelExtractor.get("dojo_navigator_scopeElements", locale) //$NON-NLS-1$
    %>'
    appDojoType="com.ibm.rpm.app:RPMAppScope">
  </div>
  <% } %>
  
  <%
  if (RPMUtilityBean.isUserInRole(session,"canViewDocuments")) { //$NON-NLS-1$
  %>
  <!-- =========================== DOCUMENTS  ================   -->
  <div dojoType="com.ibm.rpm.app.navigator:RPMNavigatorNode"
    id="navDocuments"
    appLabel='<%=
        LabelExtractor.get("dojo_navigator_documents", locale) //$NON-NLS-1$
    %>'
    appDojoType="com.ibm.rpm.app:RPMAppDocument">
  </div>
  <% } %>
  
  <%
      boolean canAccessPersonalRecord = RPMUtilityBean.isUserInRole(session,"canViewPersonalBackground") //$NON-NLS-1$
        || RPMUtilityBean.isUserInRole(session,"canViewPersonalCalendar") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalCompetencyCostsRates") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalCompetencySkills") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalDocuments") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalEffectiveDiscontinueActiveDates") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalExecutiveAttributes") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalInformation") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalNickName") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalOrganizationGroupGeographical") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalPublishedWorkPackages") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRates") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRecordCustomFieldsGroup1") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRecordCustomFieldsGroup10") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRecordCustomFieldsGroup2") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRecordCustomFieldsGroup3") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRecordCustomFieldsGroup4") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRecordCustomFieldsGroup5") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRecordCustomFieldsGroup6") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRecordCustomFieldsGroup7") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRecordCustomFieldsGroup8") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalRecordCustomFieldsGroup9") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalScorecardPivot") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalSecurity") //$NON-NLS-1$
  	    || RPMUtilityBean.isUserInRole(session,"canViewPersonalSettings"); //$NON-NLS-1$
    if (canAccessPersonalRecord) {     
  %>
  <!-- =========================== PERSONAL RECORD  ================   -->
  <div dojoType="com.ibm.rpm.app.navigator:RPMNavigatorNode"
    id="navPersonalRecord"
    appLabel='<%=
        LabelExtractor.get("dojo_navigator_personalRecord", locale) //$NON-NLS-1$
    %>'
    appDojoType="com.ibm.rpm.app:RPMAppPersonalRecord"
    title="<%= displayName %>">
  </div>
  <% } %>
  
  <!-- =========================== Welcome page  ================   -->
  <div dojoType="com.ibm.rpm.app.navigator:RPMNavigatorNode"
    id="navWelcomePage"
    appLabel="<%=
        LabelExtractor.get("dojo_navigator_welcomePage", locale) //$NON-NLS-1$
    %>"
    openURL="<%= request.getContextPath() %>/RPM_WebUI_Welcome/<%= RPMUtilityBean.getLanguageId(request) %>/index.html"  
    appDojoType="com.ibm.rpm.app:RPMAppHomepage"
    appFrame="false"
    separator="true">
  </div>
  
  <!-- =========================== Help page  ================   -->
  <div dojoType="com.ibm.rpm.app.navigator:RPMNavigatorNode"
    id="navHelp"
    appLabel='<%=
        LabelExtractor.get("dojo_common_help", locale) //$NON-NLS-1$
    %>'
    appDojoType="com.ibm.rpm.app:RPMAppHelp"    
    openURL="<%= request.getContextPath() %>/RPM_WebUI_Help/help.htm">
  </div>
  
  <!-- =========================== About page  ================   -->
  <div dojoType="com.ibm.rpm.app.navigator:RPMNavigatorNode" id="navAbout"
    appLabel='<%=
        LabelExtractor.get("dojo_common_about", locale) //$NON-NLS-1$
    %>'
    appDojoType="com.ibm.rpm.app:RPMAppAbout"
    openURL="../olympiaAbout.jsp" popupName="AboutBox"
    popupCoordinates="width=650,height=475,resizable=1,directories=0,status=0,titlebar=0,toolbar=0">
  </div>
  
</div>
